%global _root_libdir	/%{_lib}
%global _root_sbindir 	/sbin

Name:		nilfs-utils
Version:	2.2.1
Release:	%mkrel 4
Summary:	Utilities for managing NILFS v2 filesystems

Group:		System/Base
License:	GPLv2+
URL:		http://www.nilfs.org
Source0:	http://www.nilfs.org/download/%{name}-%{version}.tar.bz2
BuildRequires:	libuuid-devel 
BuildRequires:	libmount-devel

%description
Userspace utilities for creating and mounting NILFS v2 filesystems.

%package devel
Summary:	NILFS2 filesystem-specific headers
Group:		System/Libraries
Requires:	nilfs-utils = %{version}-%{release}

%description devel
nilfs-utils-devel contains the header files needed to develop NILFS
filesystem-specific programs.

You should install nilfs-utils-devel if you want to develop NILFS
filesystem-specific programs. If you install nilfs-utils-devel, you'll
also want to install nilfs-utils.

%prep
%setup -q

%build
%configure2_5x LDCONFIG=/bin/true --disable-static --libdir %{_root_libdir}
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make

%install
%makeinstall_std
rm -f $RPM_BUILD_ROOT/%{_root_libdir}/lib*.la

%files
%doc COPYING ChangeLog
%config(noreplace) /etc/nilfs_cleanerd.conf
%{_root_sbindir}/mkfs.nilfs2
%{_root_sbindir}/mount.nilfs2
%{_root_sbindir}/nilfs_cleanerd
%{_sbindir}/nilfs-clean
%{_sbindir}/nilfs-resize
%{_root_sbindir}/umount.nilfs2
%{_sbindir}/nilfs-tune
%{_root_libdir}/lib*.so.*
%{_bindir}/chcp
%{_bindir}/dumpseg
%{_bindir}/lscp
%{_bindir}/lssu
%{_bindir}/mkcp
%{_bindir}/rmcp
%{_mandir}/man*/*

%files devel
%{_root_libdir}/lib*.so
%{_includedir}/*.h


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 2.2.1-4.mga6
+ Revision: 942954
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.2.1-3.mga5
+ Revision: 739374
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.1-2.mga5
+ Revision: 682890
- Mageia 5 Mass Rebuild

* Mon Sep 08 2014 tv <tv> 2.2.1-1.mga5
+ Revision: 673478
- adjust file list
- new release

* Sat Mar 08 2014 tv <tv> 2.1.6-1.mga5
+ Revision: 601218
- new release

* Fri Oct 18 2013 umeabot <umeabot> 2.1.4-3.mga4
+ Revision: 508296
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 03 2012 tv <tv> 2.1.4-1.mga3
+ Revision: 278133
- new release

* Mon Jan 23 2012 tv <tv> 2.1.1-1.mga2
+ Revision: 200430
- adjust file list
- BuildRequires: libmount-devel
- new release

* Tue Sep 06 2011 tv <tv> 2.0.23-1.mga2
+ Revision: 139662
- fix file list
- new release

* Tue Mar 22 2011 saispo <saispo> 2.0.18-1.mga1
+ Revision: 75461
- Change gzip man to xz
- imported package nilfs-utils

